Subject: bug#18716: Patch for this bug

From: Ken Brown <[email-masked]>
Date: Sat, 26 Nov 2016 13:29:09 -0500

On 11/26/2016 12:54 PM, Reuben Thomas wrote:
>> Sounds like a good compromise.  I agree about the default, except that
>> it should default to case-insensitive matches on case-insensitive
>> filesystems (Windows etc.)
> I have now implemented this (apologies for the delay). I attach revised patches.

As of commit 2809012 we have a new primitive, 
file-name-case-insensitive-p, that can be used to determine whether or 
not a filesystem is case insensitive.  This is better than relying on 
system type.  For example, on both Cygwin and macOS, it's possible that 
some filesystems are case-insensitive and others aren't.

Ken